    dccsight(8)             FreeBSD System Manager's Manual            dccsight(8)

## NAME

         dccsight -- Distributed Checksum Clearinghouse raw checksum interface

## SYNOPSIS

         dccsight [-VdPQC] [-h homedir] [-m map] [-w whiteclnt] [-t targets]
                  [-i infile] [-L ltype,facility.level]

## DESCRIPTION

         Dccsight reads one or more lines containing DCC checksums, reports them
         to a DCC server, and writes a X-DCC header line.  It can be used to re-
         port checksums obtained from dccproc(8) using -C.

       OPTIONS
         The following options are available:

         -V   displays the version of the DCC raw checksum interface.  Two or more
              -V options show the options with which it was built.

         -d   enables debugging output from the DCC client software.  Additional
              -d options increase the number of messages.

         -P   The SpamAsassin DCC.pm plugin should watch for "bulk" in X-DCC SMTP
              header fields, but historically has looked for counts of "many".
              However, there are situations when dccsight knows that a mail mes-
              sage is extremely bulky and probably spam.  For example, mail from a
              sender that is blacklisted in whiteclnt gets an X-DCC header that
              includes bulk.  To acommodate that bug in SpamAssassin, by default
              whenever dccsight generates an X-DCC header containing "bulk", it
              also forces the Body count to "many".  -P turns off that kludge and
              the Body contains the count from the DCC server.

         -Q   only queries the DCC server about the checksums of messages instead
              of reporting.  This is useful when dccsight is used to filter mail
              that has already been reported to a DCC server by another DCC
              client.  No single mail message should be reported to a DCC server
              more than once per recipient, because each report will increase the
              apparent "bulkness" of the message.

              It is better to use MXDCC lines in the global /var/dcc/whiteclnt
              file for your MX mail servers that use DCC than to use -Q with
              dccsight.

              Do not use -Q except on mail that you know has been reported to a
              DCC server.  DCC depends on reports of all except known private mail
              and works only because almost no DCC installations use -Q.

         -C   outputs the checksums for the message as well as the X-DCC header.

         -h homedir
              overrides the default DCC home directory, /var/dcc.

         -m map
              specifies a name or path of the memory mapped parameter file instead
              of the default /var/dcc/map in the DCC home directory.  It should be
              created with the cdcc(8) command.

         -w whiteclnt
              specifies an optional file containing SMTP client IP addresses and
              SMTP headers of mail that do not need X-DCC headers and whose check-
              sums should not be reported to the DCC server.  It can also contain
              checksums of spam.  If the pathname is not absolute, it is relative
              to the DCC home directory.  Thus, individual users with private
              whitelists usually specify them with absolute paths.  It is useful
              to include a common or system-wide whitelist in private lists.

              The format of the dccsight whiteclnt file is the same as the
              /var/dcc/whitelist file required by dbclean(8) and dccsight(8).  Be-
              cause this list is used frequently, a companion file is used.  It
              has the same pathname but with an added suffix of .dccw.  After be-
              ing created empty, it will contain an automatic memory mapped hash
              table of the main file.

         -t targets
              specifies the number of addressees of the message if other than 1.
              The string many instead of a number asserts that there were too many
              addressees and that the message is unsolicited bulk email.

         -i infile
              specifies an input file instead of standard input.  If not absolute,
              the pathname is interpreted relative to the directory in which
              dccsight was started.

         -L ltype,facility.level
              specifies how messages should be logged.  Ltype must be error, info,
              or off to indicate which of the two types of messages are being con-
              trolled or to turn off all syslog(3) messages from dccsight.  Level
              must be a syslog(3) level among EMERG, ALERT, CRIT, ERR, WARNING,
              NOTICE, INFO, and DEBUG.  Facility must be among AUTH, AUTHPRIV,
              CRON, DAEMON, FTP, KERN, LPR, MAIL, NEWS, USER, UUCP, and LOCAL0
              through LOCAL7.  The default is equivalent to
                    -L info,MAIL.NOTICE -L error,MAIL.ERR

         dccsight exits 0 on success, and >0 if an error occurs.

## FILES

         <SPAN="FILE-/var/dcc">/var/dcc   DCC home directory.
         <SPAN="FILE-map">map        memory mapped file in the DCC home directory of information
                    concerning DCC servers.
         <SPAN="FILE-whiteclnt">whiteclnt  contains the client whitelist in the format described in
                    dcc(8).
         <SPAN="FILE-whiteclnt.dccw">whiteclnt.dccw
                    memory mapped hash table of the /var/dcc/whiteclnt file.

## SEE ALSO

         cdcc(8), dcc(8), dbclean(8), dccd(8), dblist(8), dccproc(8), dccm(8),
         dccifd(8), mail(1), procmail(1).

## HISTORY

         <SPAN="FILE-Implementation">Implementation of dccsight was started at Rhyolite Software in 2000.
         <SPAN="FILE-This">This document describes version RHYOLITE_VERSION.

                                    March 22, 2024